Bug 1378445 (kf5-kirigami) - Review Request: kf5-kirigami - QtQuick plugins to build user interfaces based on the KDE UX guidelines
Summary: Review Request: kf5-kirigami - QtQuick plugins to build user interfaces base...
Keywords:
Status: CLOSED ERRATA
Alias: kf5-kirigami
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fl@sh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: kde-reviews
TreeView+ depends on / blocked
 
Reported: 2016-09-22 12:27 UTC by Rex Dieter
Modified: 2016-10-21 15:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-09 02:52:19 UTC
Type: ---
alex.mail.1534: fedora-review+


Attachments (Terms of Use)

Description Rex Dieter 2016-09-22 12:27:15 UTC
Spec URL: https://rdieter.fedorapeople.org/rpms/kf5/kf5-kirigami.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/kf5/kf5-kirigami-1.0.2-1.fc24.src.rpm
Description: QtQuick plugins to build user interfaces based on the KDE UX guidelines
Fedora Account System Username: rdieter

Comment 1 Rex Dieter 2016-09-22 12:35:21 UTC
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=15750229

# rpmlint
kf5-kirigami.x86_64: W: no-documentation
kf5-kirigami-devel.x86_64: W: only-non-binary-in-usr-lib
kf5-kirigami-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

Comment 2 Fl@sh 2016-09-23 08:41:47 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     Note: Using prebuilt packages// << scratch build is present
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL", "LGPL (v2 or later)", "GPL (v2 or later)", "Unknown or
     generated". 46 files have unknown license. Detailed output of
     licensecheck in /home/Flash/Downloads/review-
     kf5-kirigami/licensecheck.txt // << used common LGPLv2 license
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.// << scratch build is present
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 901120 bytes in 66 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
     // << scratch build is present
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: kf5-kirigami-1.0.2-1.fc26.x86_64.rpm
          kf5-kirigami-1.0.2-1.fc26.src.rpm
kf5-kirigami.x86_64: W: incoherent-version-in-changelog 5.26.0-1 ['1.0.2-1.fc26', '1.0.2-1']
kf5-kirigami.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
kf5-kirigami.x86_64: W: incoherent-version-in-changelog 5.26.0-1 ['1.0.2-1.fc26', '1.0.2-1']
kf5-kirigami.x86_64: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Diff spec file in url and in SRPM
---------------------------------
--- /home/Flash/Downloads/kf5-kirigami.spec	2016-09-22 20:37:25.091430651 +0300
+++ /home/Flash/Downloads/review-kf5-kirigami/srpm-unpacked/kf5-kirigami.spec	2016-09-22 15:28:37.000000000 +0300
@@ -9,5 +9,5 @@
 
 Name:    kf5-%{framework}
-Version: 1.0.2
+Version: 1.0.2 
 Release: 1%{?dist}
 Summary: QtQuick plugins to build user interfaces based on the KDE UX guidelines
@@ -31,5 +31,4 @@
 
 Requires:      kf5-filesystem >= %{version}
-Requires:      qt5-qtquickcontrols%{?_isa}
 
 %description
@@ -88,5 +87,5 @@
 
 %changelog
-* Thu Sep 22 2016 Rex Dieter <rdieter@fedoraproject.org> -  1.0.2-1
+* Thu Sep 22 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.26.0-1
 - first try
 


Requires
--------
kf5-kirigami (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    kf5-filesystem
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.7)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Qml.so.5()(64bit)
    libQt5Qml.so.5(Qt_5)(64bit)
    libQt5Quick.so.5()(64bit)
    libQt5Quick.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
kf5-kirigami:
    kf5-kirigami
    kf5-kirigami(x86-64)
    libkirigamiplugin.so()(64bit)



Unversioned so-files
--------------------
kf5-kirigami: /usr/lib64/qt5/qml/org/kde/kirigami/libkirigamiplugin.so

Source checksums
----------------
http://download.kde.org/stable/kirigami/kirigami-1.0.2.tar.xz :
  CHECKSUM(SHA256) this package     : 0ed0aad3034583a912675a915e922807e25e3798de4db6cd7cebba712fee27d8
  CHECKSUM(SHA256) upstream package : 0ed0aad3034583a912675a915e922807e25e3798de4db6cd7cebba712fee27d8


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review --prebuilt -c -n kf5-kirigami
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


Problems with different spec in url and SRPM. After fixes can be approved.

Comment 3 Rex Dieter 2016-09-23 12:28:05 UTC
Spec URL: https://rdieter.fedorapeople.org/rpms/kf5/kf5-kirigami.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/kf5/kf5-kirigami-1.0.2-2.fc24.src.rpm

%changelog
* Fri Sep 23 2016 Rex Dieter <rdieter@fedoraproject.org> - 1.0.2-2
- refresh spec/srpm for review

Comment 4 Fl@sh 2016-09-23 12:33:28 UTC
Approved.

Comment 5 Gwyn Ciesla 2016-09-23 13:25:37 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/kf5-kirigami

Comment 6 Rex Dieter 2016-09-23 14:04:56 UTC
imported, thanks.

Comment 7 Fedora Update System 2016-09-24 17:51:27 UTC
kf5-kirigami-1.0.2-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-aa4b40fb1e

Comment 8 Fedora Update System 2016-09-25 05:20:21 UTC
kf5-kirigami-1.0.2-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9960e5ece0

Comment 9 Fedora Update System 2016-09-25 05:22:35 UTC
kf5-kirigami-1.0.2-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-14fe6f3939

Comment 10 Markus S. 2016-09-26 21:46:01 UTC
Forgo 1.0 and jump directly to 1.1:
https://www.kde.org/announcements/kirigami-1.1.php
https://techbase.kde.org/Kirigami

Comment 11 Fedora Update System 2016-09-27 20:22:39 UTC
kf5-kirigami-1.1.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-aa4b40fb1e

Comment 12 Fedora Update System 2016-09-28 05:58:22 UTC
kf5-kirigami-1.1.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-14fe6f3939

Comment 13 Fedora Update System 2016-09-28 06:26:17 UTC
kf5-kirigami-1.1.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9960e5ece0

Comment 14 Fedora Update System 2016-09-28 16:18:57 UTC
kf5-kirigami-1.1.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-eaa3b46f02

Comment 15 Fedora Update System 2016-09-30 15:51:44 UTC
kf5-kirigami-1.1.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-09-30 20:24:56 UTC
kf5-kirigami-1.1.0-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-aa4b40fb1e

Comment 17 Fedora Update System 2016-10-09 02:52:19 UTC
kf5-kirigami-1.1.0-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-10-09 09:23:13 UTC
kf5-kirigami-1.1.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-10-21 15:53:50 UTC
kf5-kirigami-1.1.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.